Subject: [rohc] Some questions

From: Hani Hu <[email-masked]>
Date: Sun, 1 Sep 2002 11:07:46 -0700 (PDT)

Hello everybody;

I am a graduate student. Currently I have started to read the rfc3095 document. Most probably I am going to implement it as a part of my thesis but I have some basically problems with the document. I would greatly appreciate it if you guys kindly help me regarding the following difficulties. 

1: How could we distinguish between RTP/UDP/IP streams and UDP/IP streams?? (As there is no protocol fields in UDP header, I am wondering how could the compressor decide whether it has RTP header after the following UDP header or not!)

2: How could we decide whether we should use large-CID or not?

3: Which policy we should use to decide about appropriate time for mode transitions?

4: How can we relate the RTP timestamp field with RTP Sequence Number (for example for a video session)?!! In the document, it has been mentioned that timestamp could be related to the SN by a function. We have also some compressed packet formats which do not send RTP timestamps at all but really I don’t have any idea about such functions and I would be thankful if anybody guides me to the point.

Thank you in advance,

Regards,

Hani

---------------------------------
Do You Yahoo!?
Yahoo! Finance - Get real-time stock quotes